Skip to Content

Reddit API

Subreddits, posts, and user profiles.

  • Subreddit sort: hot (default), new, top, rising
  • Search sort: relevance (default), hot, top, new, comments
  • Returns up to 100 posts per request
  • NSFW subreddits are accessible but flagged in the response
  • Private subreddits are not accessible

Subreddits

GET /reddit/subreddits/:name — 2 credits

Get subreddit info.

ParamTypeRequiredDefaultDescription
namestringYesSubreddit name
curl -H "x-api-key: sk_byc_xxx" \ https://api.bycrawl.com/reddit/subreddits/programming

Response

{ "name": "programming", "title": "programming", "description": "Computer Programming", "subscribers": 6847410, "activeUsers": null, "createdAt": "2006-02-28T18:19:29.000Z", "isNsfw": false, "icon": "https://...", "banner": "" }

GET /reddit/subreddits/:name/posts — 2 credits

Get posts from a subreddit.

ParamTypeRequiredDefaultDescription
namestringYesSubreddit name
sortstringNohothot, new, top, rising
tstringNoallTime filter (for sort=top): hour, day, week, month, year, all
countintegerNo25Number of posts (max 100)
afterstringNoPagination cursor from previous response
curl -H "x-api-key: sk_byc_xxx" \ "https://api.bycrawl.com/reddit/subreddits/programming/posts?sort=top&count=10"

Response

{ "posts": [ { "id": "1qoxwdt", "title": "State of the Subreddit (January 2027): Mo...", "author": "ketralnis", "subreddit": "programming", "score": 113, "upvoteRatio": 0.94, "commentCount": 78, "createdAt": "2026-01-28T01:54:14.000Z", "url": "https://www.reddit.com/r/programming/comments/1qoxwdt/...", "permalink": "https://www.reddit.com/r/programming/comments/1qoxwdt/...", "selftext": "tl;dr: mods applications and minor rules ch...", "media": [] } // ... more posts ], "after": "t3_1rn5az3" }

Posts

GET /reddit/posts/:postId — 2 credits

Get a single Reddit post by ID.

ParamTypeRequiredDefaultDescription
postIdstringYesReddit post ID
curl -H "x-api-key: sk_byc_xxx" \ https://api.bycrawl.com/reddit/posts/1qoxwdt

Response

{ "id": "1qoxwdt", "title": "State of the Subreddit (January 2027): Mo...", "author": "ketralnis", "subreddit": "programming", "score": 113, "upvoteRatio": 0.94, "commentCount": 78, "createdAt": "2026-01-28T01:54:14.000Z", "url": "https://www.reddit.com/r/programming/comments/1qoxwdt/...", "permalink": "https://www.reddit.com/r/programming/comments/1qoxwdt/...", "selftext": "tl;dr: mods applications and minor rules ch...", "media": [] }

GET /reddit/posts/search?q=xxx — 2 credits

Search Reddit posts.

ParamTypeRequiredDefaultDescription
qstringYesSearch query
sortstringNorelevancerelevance, hot, top, new, comments
tstringNoallTime filter (for sort=top): hour, day, week, month, year, all
countintegerNo25Number of results (max 100)
afterstringNoPagination cursor from previous response
curl -H "x-api-key: sk_byc_xxx" \ "https://api.bycrawl.com/reddit/posts/search?q=bitcoin&count=5"

Response

{ "posts": [ { "id": "1rciij4", "title": "Bitcoin is a trap", "author": "tururururur134", "subreddit": "Buttcoin", "score": 123, "upvoteRatio": 0.89, "commentCount": 141, "createdAt": "2026-02-23T14:13:05.000Z", "url": "https://www.reddit.com/r/Buttcoin/comments/1rciij4/...", "permalink": "https://www.reddit.com/r/Buttcoin/comments/1rciij4/...", "selftext": "Bitcoin is a speculative and volatile trap...", "media": [] } // ... more posts ], "after": "t3_1r262za" }

Users

GET /reddit/users/:username — 2 credits

Get Reddit user profile.

ParamTypeRequiredDefaultDescription
usernamestringYesReddit username
curl -H "x-api-key: sk_byc_xxx" \ https://api.bycrawl.com/reddit/users/spez

Response

{ "name": "spez", "id": "1w72", "createdAt": "2005-06-06T04:00:00.000Z", "linkKarma": 181185, "commentKarma": 754451, "totalKarma": 935636, "icon": "https://...", "isGold": true, "isMod": true }

GET /reddit/users/:username/posts — 2 credits

Get posts submitted by a Reddit user.

ParamTypeRequiredDefaultDescription
usernamestringYesReddit username
sortstringNonewnew, hot, top
tstringNoallTime filter (for sort=top): hour, day, week, month, year, all
countintegerNo25Number of posts (max 100)
afterstringNoPagination cursor from previous response
curl -H "x-api-key: sk_byc_xxx" \ "https://api.bycrawl.com/reddit/users/spez/posts?sort=top&count=10"

Response

{ "posts": [ { "id": "1qoxwdt", "title": "State of the Subreddit (January 2027): Mo...", "author": "spez", "subreddit": "reddit", "score": 113, "upvoteRatio": 0.94, "commentCount": 78, "createdAt": "2026-01-28T01:54:14.000Z", "url": "https://www.reddit.com/r/reddit/comments/1qoxwdt/...", "permalink": "https://www.reddit.com/r/reddit/comments/1qoxwdt/...", "selftext": "...", "media": [] } // ... more posts ], "after": "t3_1rn5az3" }